View Issue Details

IDProjectCategoryView StatusLast Update
0008320Talerlibeufin (general)public2024-02-10 23:31
ReporterAntoine A Assigned ToAntoine A  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008320: Support x-taler-bank libeufin-bank in SPA
DescriptionThe SPA should support banks without an IBAN, so we need to add a field in the bank configuration endpoint to allow the user interface to adapt.
TagsNo tags attached.

Relationships

child of 0008273 assignedChristian Grothoff package and upload libeufin 0.9.4 to ftp and stable Debian/Ubuntu server 

Activities

Antoine A

2024-02-05 11:45

developer   ~0021149

Last edited: 2024-02-05 11:58

UI changes to make when x-taler-bank wire type is used by the bank:
In 'Make a wire transfer' form:
- change 'Recipient' field placeholder to "username" and description to "username of the recipient's account"
- change 'payto URI' field placeholder to "payto://x-taler-bank/[receiver-username]?message=[subject]&amount=[KUDOS:X.Y]"
In 'New business account' form:
- remove 'Internal IBAN' field

Maybe show the payto uri of bank accounts

Antoine A

2024-02-05 19:18

developer   ~0021162

The field is now present in bank configuration endpoint, waiting for the SPA to support it

Issue History

Date Modified Username Field Change
2024-02-05 10:14 Antoine A New Issue
2024-02-05 10:14 Antoine A Status new => assigned
2024-02-05 10:14 Antoine A Assigned To => Antoine A
2024-02-05 11:45 Antoine A Note Added: 0021149
2024-02-05 11:58 Antoine A Note Edited: 0021149
2024-02-05 19:18 Antoine A Note Added: 0021162
2024-02-05 20:30 Christian Grothoff Relationship added child of 0008273
2024-02-07 17:31 Antoine A Status assigned => resolved
2024-02-07 17:31 Antoine A Resolution open => fixed
2024-02-10 23:31 Christian Grothoff Fixed in Version => 0.9.4